///////////////////////////////////////////////////////////////////////////////
//
//      ##  ######
//       ######  ###
//  ## ###############        Shark 3D Engine (www.shark3d.com)
//   ########## # # #
//    ########                Copyright (c) 1996-2006 Spinor GmbH.
//   ######### # # #          All rights reserved.
//  ##   ##########
//      ##
//
///////////////////////////////////////////////////////////////////////////////

//@cpp
#ifndef S3D_DRV_D3D9_SETTINGS_H
#define S3D_DRV_D3D9_SETTINGS_H

#include "../../../../general/general_env.h"

///////////////////////////////////////////////////////////////////////////////

#define S3D_DRV_D3D9_CACHELINE  64

///////////////////////////////////////////////////////////////////////////////

// Enabled PIX support
#define S3D_DRV_D3D9_PIX_ENABLE

// Use null driver
//#define S3D_DRV_D3D9_USE_ENGNULL

///////////////////////////////////////////////////////////////////////////////

// limit to 16 + DECLEND
#define S3D_DRV_D3D9_MAX_VERTELEM_CNT 17  //MAXD3DDECLLENGTH + 1
#define S3D_DRV_D3D9_MAX_ATTR_CNT 8
/*
    ps_1_1 to ps_1_3 4 texture samplers
    ps_1_4 6 texture samplers
    ps_2_0 16 texture samplers
*/
#define S3D_DRV_D3D9_MAX_SAMPLER_CNT 16
#define S3D_DRV_D3D9_MAX_VERTEX_SAMPLER_CNT 4 //GTP_ILLUMMODULE_CHANGE
#define S3D_DRV_D3D9_DUMMY_BLENDWGHIDX_STREAM 1
#define S3D_DRV_D3D9_MAX_LIGHT_CNT 8
#define S3D_DRV_D3D9_MAX_SIM_RT_CNT 4

///////////////////////////////////////////////////////////////////////////////

#define S3D_DRV_D3D9_INLINE __forceinline

///////////////////////////////////////////////////////////////////////////////

#endif
